#! /usr/bin/env ruby
# coding: utf-8

require "helper"
#require "test/unit"
#require "pkg/klass.rb"

class TC_Site < Test::Unit::TestCase
  def setup
    @cs_S00_m01 = Crysna::Site.new("S00", [-1, 0, 1])
    @cs_S00_101 = Crysna::Site.new("S00", [ 0, 0, 1])
    @cs_S00_m11 = Crysna::Site.new("S00", [-1, 1, 1])
    @cs_S00_m00 = Crysna::Site.new("S00", [-1, 0, 0])
    @cs_S01_m01 = Crysna::Site.new("S01", [-1, 0, 1])
  end

  def test_equal?
    assert_equal(true , @cs_S00_m01.equal?(Crysna::Site.new("S00", [-1, 0, 1] )))
    assert_equal(false, @cs_S00_m01.equal?(@cs_S00_101))
    assert_equal(false, @cs_S00_m01.equal?(@cs_S00_m11))
    assert_equal(false, @cs_S00_m01.equal?(@cs_S00_m00))
    assert_equal(false, @cs_S00_m01.equal?(@cs_S01_m01))

    assert_equal(true , @cs_S00_m01 == Crysna::Site.new("S00", [-1, 0, 1] ))
    assert_equal(false, @cs_S00_m01 == @cs_S00_101)
    assert_equal(false, @cs_S00_m01 == @cs_S00_m11)
    assert_equal(false, @cs_S00_m01 == @cs_S00_m00)
    assert_equal(false, @cs_S00_m01 == @cs_S01_m01)
  end

  def test_same_globla_vector?
    assert_equal(true , @cs_S00_m01.same_globla_vector?(Crysna::Site.new("S00", [-1, 0, 1])))
    assert_equal(false, @cs_S00_m01.same_globla_vector?(@cs_S00_101))
    assert_equal(false, @cs_S00_m01.same_globla_vector?(@cs_S00_m11))
    assert_equal(false, @cs_S00_m01.same_globla_vector?(@cs_S00_m00))
    assert_equal(true , @cs_S00_m01.same_globla_vector?(@cs_S01_m01))
  end

end

