#! /usr/bin/env ruby
# coding: utf-8

require "fileutils"
require "helper"
#require "test/unit"
#require "crysna/modelcell.rb"
#require "crysna/frameatom.rb"
#require "crysna/interstitialatom.rb"
#require "crysna/frameinterstitialcell.rb"
#require "vasputils/poscar.rb"

$tolerance = 1.0E-10

class TC_CrysnaCommands < Test::Unit::TestCase

  #def test_optimizedframecell
  #    TODO
  #end





  ##def setup
  ## @k = Klass.new
  ##end
  ##
  #TMP_DIR = "test/tmp"
  #TMP_POSCAR = "#{TMP_DIR}/POSCAR"
  #TMP_OPTIMIZED_YAML = "#{TMP_DIR}/optimized.yaml"
  #TMP_MODEL_YAML = "#{TMP_DIR}/model.yaml"
  #TMP_FILES = [
  #    TMP_POSCAR,
  #    TMP_OPTIMIZED_YAML,
  #    TMP_MODEL_YAML,
  #    "#{TMP_DIR}/optimized_ficell.yaml",
  #]

  #def setup
  #    TMP_FILES.each { |file| FileUtils.rm file if File.exist? file }
  #    Dir.glob("#{TMP_DIR}/*").each {|file| FileUtils.rm file}
  #    Dir.rmdir TMP_DIR if Dir.exist? TMP_DIR
  #    #
  #    Dir.mkdir TMP_DIR unless Dir.exist? TMP_DIR
  #    File.open(TMP_POSCAR, "w") do |io|
  #        io.puts "Model to test optimizeframe command"
  #        io.puts "1.0"
  #        io.puts "  2.0  2.0    2.0"
  #        io.puts "  0.0  2.0    2.0"
  #        io.puts "  0.0  0.0    2.0"
  #        io.puts "7 1 2"
  #        io.puts "Direct"
  #        io.puts "  0.10    0.10    0.10"
  #        io.puts "  0.10    0.10    0.11"
  #        io.puts "  0.10    0.10    0.13"
  #        io.puts "  0.10    0.12    0.10"
  #        io.puts "  0.10    0.16    0.10"
  #        io.puts "  0.13    0.10    0.10"
  #        io.puts "  0.19    0.10    0.10"
  #        io.puts "  0.11    0.11    0.11"
  #        io.puts "  0.00    0.00    0.00"
  #        io.puts "  0.90    0.90    0.90"
  #    end

  #    model = {
  #        "frame_elements" => [ 0 ],
  #        "frame_sites" => {
  #            "FS_000"=>[0.00, 0.00, 0.00],
  #            "FS_001"=>[0.00, 0.00, 0.01],
  #            "FS_003"=>[0.00, 0.00, 0.03],
  #            "FS_020"=>[0.00, 0.02, 0.00],
  #            "FS_060"=>[0.00, 0.06, 0.00],
  #            "FS_300"=>[0.03, 0.00, 0.00],
  #            "FS_900"=>[0.09, 0.00, 0.00],
  #        },
  #        "symmetry_operations" => [
  #            {
  #                "rotation" => [[    1,  0,  0], [  0,  1,  0], [    0,  0,  1]],
  #                "translation" => [  0.0000000,  0.0000000,  0.0000000]
  #            }, {
  #                "rotation" => [ [ -1,  0,  0], [    0, -1,  0], [  0,  0, -1]],
  #                "translation" => [  0.0000000,  0.0000000,  0.0000000]
  #            }
  #        ],
  #        "octahedral_sites" => {
  #            "Oc_000"=> [
  #                [["FS_000", [0, 0, 1]], ["FS_000", [1, 1, 0]]],
  #                [["FS_000", [0, 1, 0]], ["FS_000", [1, 0, 1]]],
  #                [["FS_000", [1, 0, 0]], ["FS_000", [0, 1, 1]]]
  #            ]
  #        },
  #        "tetrahedral_sites" => {
  #            "Te_000"=> [
  #                ["FS_000", [0, 0, 0]], ["FS_000", [0, 0, 1]],
  #                ["FS_000", [0, 1, 0]], ["FS_000", [1, 0, 0]]
  #            ],
  #            "Te_001"=> [
  #                ["FS_000", [1, 1, 1]], ["FS_000", [1, 1, 0]],
  #                ["FS_000", [1, 0, 1]], ["FS_000", [0, 1, 1]]
  #            ]
  #        }
  #    }
  #    File.open(TMP_MODEL_YAML, "w") do |io|
  #        YAML.dump(model, io)
  #    end
  #end

  #def teardown
  #    TMP_FILES.each { |file| FileUtils.rm file if File.exist? file }
  #    Dir.glob("#{TMP_DIR}/*").each {|file| FileUtils.rm file}
  #    Dir.rmdir TMP_DIR if Dir.exist? TMP_DIR
  #end

  #
  #def test_optimizedframecell
  #    # キチンと証明はしていないが、内部座標を直交座標として扱っても線形変換だから大丈夫だと思う。
  #    log_file = "optimizeframecell.log"
  #    FileUtils.rm log_file if File.exist? log_file

  #    result = YAML.load(`bin/optimizeframecell #{TMP_MODEL_YAML} #{TMP_POSCAR}`)
  #    # ハッシュの鍵がサイト名、値は元素名と座標からなる配列。
  #    assert_equal(["frame_atoms", "interstitials"], result.keys)
  #    assert_equal(
  #        ["FS_000", "FS_001", "FS_003", "FS_020", "FS_060", "FS_300", "FS_900"],
  #        result["frame_atoms"].keys
  #    )
  #    assert_equal(0, result["frame_atoms"]["FS_000"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_001"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_003"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_020"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_060"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_300"][0])
  #    assert_equal(0, result["frame_atoms"]["FS_900"][0])

  #    assert_in_delta(0.00, result["frame_atoms"]["FS_000"][1][0], $tolerance)
  #    assert_in_delta(0.00, result["frame_atoms"]["FS_000"][1][1], $tolerance)
  #    assert_in_delta(0.00, result["frame_atoms"]["FS_000"][1][2], $tolerance)
  #    #あとは横着
  #    #assert_equal([ 0.10, 0.10, 0.11 ], result["frame_atoms"]["FS_001"][1])
  #    #assert_equal([ 0.10, 0.10, 0.13 ], result["frame_atoms"]["FS_003"][1])
  #    #assert_equal([ 0.10, 0.12, 0.10 ], result["frame_atoms"]["FS_020"][1])
  #    #assert_equal([ 0.10, 0.16, 0.10 ], result["frame_atoms"]["FS_060"][1])
  #    #assert_equal([ 0.13, 0.10, 0.10 ], result["frame_atoms"]["FS_300"][1])
  #    #assert_equal([ 0.19, 0.10, 0.10 ], result["frame_atoms"]["FS_900"][1])
  #    # },
  #    # "interstitials" => [
  #    #   [ 1, [0.11, 0.11, 0.11]],
  #    #   [ 2, [0.00, 0.00, 0.00]],
  #    #   [ 2, [0.90, 0.90, 0.90]],
  #    # ]
  #    #}
  #    #assert_equal(correct, result)

  #    FileUtils.rm log_file if File.exist? log_file
  #end

  #def test_identifyatomsites
  #    optimized_ficell_yaml = "#{TMP_DIR}/optimized_ficell.yaml"
  #    FileUtils.rm optimized_ficell_yaml if File.exist? optimized_ficell_yaml
  #    log_file = "identifyatomsites.log"
  #    FileUtils.rm log_file if File.exist? log_file

  #    optimized_ficell = {
  #        "frame_atoms"=>
  #        { "FS_000"=>[0, [0.60, 0.60, 0.60]],
  #            "FS_001"=>[0, [0.60, 0.60, 0.61]],
  #            "FS_003"=>[0, [0.60, 0.60, 0.63]],
  #            "FS_020"=>[0, [0.60, 0.62, 0.60]],
  #            "FS_060"=>[0, [0.60, 0.66, 0.60]],
  #            "FS_300"=>[0, [0.63, 0.60, 0.60]],
  #            "FS_900"=>[0, [0.69, 0.60, 0.60]],
  #        },
  #        "interstitials"=> [
  #            [1, [0.61, 0.61, 0.61]],
  #            [2, [0.50, 0.50, 0.50]],
  #            [2, [0.10, 0.10, 0.10]],
  #        ]
  #    }
  #    File.open(optimized_ficell_yaml, "w") do |io|
  #        YAML.dump(optimized_ficell, io)
  #    end
  #    result = YAML.load(`bin/identifyatomsites #{TMP_MODEL_YAML} #{optimized_ficell_yaml}`)
  #    correct = {
  #        0 => [ "FS_000", "FS_001", "FS_003", "FS_020", "FS_060", "FS_300", "FS_900", ],
  #        1 => [ "Te_000", ],
  #        2 => [ "Oc_000", "Te_001", ]
  #    }
  #    assert_equal(correct, result)

  #    FileUtils.rm optimized_ficell_yaml if File.exist? optimized_ficell_yaml
  #    FileUtils.rm log_file if File.exist? log_file
  #end

  #def test_site2pov
  #    results = `site2pov #{TMP_MODEL_YAML} Te_000`.split("\n")
  #    corrects = [
  #        "polygon { 4, < 0.0000,    0.0000,  0.0000>, < 0.0000,  0.0000,    1.0000>, < 0.0000,  1.0000,  0.0000>, < 0.0000,  0.0000,    0.0000> pigment { color rgb <1, 0, 0> } }",
  #        "polygon { 4, < 0.0000,    0.0000,  1.0000>, < 0.0000,  1.0000,    0.0000>, < 1.0000,  0.0000,  0.0000>, < 0.0000,  0.0000,    1.0000> pigment { color rgb <1, 0, 0> } }",
  #        "polygon { 4, < 0.0000,    1.0000,  0.0000>, < 1.0000,  0.0000,    0.0000>, < 0.0000,  0.0000,  0.0000>, < 0.0000,  1.0000,    0.0000> pigment { color rgb <1, 0, 0> } }",
  #        "polygon { 4, < 1.0000,    0.0000,  0.0000>, < 0.0000,  0.0000,    0.0000>, < 0.0000,  0.0000,  1.0000>, < 1.0000,  0.0000,    0.0000> pigment { color rgb <1, 0, 0> } }",
  #    ]
  #    corrects.each_with_index do |line, index|
  #        assert_equal(line, results[index])
  #    end
  #end

  #def test_minExpConfiguration
  #    config = {
  #        0=>["FS_000", "FS_006"],
  #        1=>["Te_002", "Te_006"]
  #    }
  #    config_yaml = "tmp_site_config.yaml"
  #    File.open(config_yaml, "w") { |io| YAML.dump(config, io) }

  #    operations = [
  #        {
  #            "FS_000" => "FS_000",
  #            "FS_006" => "FS_006",
  #            "Te_002" => "Te_002",
  #            "Te_006" => "Te_006",
  #            "Oc_000" => "Oc_000",
  #        }, {
  #            "FS_000" => "A0",
  #            "FS_006" => "A1",
  #            "Te_002" => "A2",
  #            "Te_006" => "A3",
  #            "Oc_000" => "A4",
  #        }
  #    ]
  #    operations_yaml = "tmp_site_operations.yaml"
  #    File.open(operations_yaml, "w") { |io| YAML.dump(operations, io) }

  #    result = YAML.load(`bin/minExpConfiguration #{config_yaml} #{operations_yaml}`)
  #    correct = {
  #        0=>["A0", "A1"],
  #        1=>["A2", "A3"]
  #    }
  #    assert_equal(correct, result)

  #    FileUtils.rm operations_yaml if File.exist? operations_yaml
  #    FileUtils.rm config_yaml if File.exist? config_yaml
  #end

  #def test_siteoperations
  #    model = {
  #        "frame_elements" => [ 0 ],
  #        "frame_sites" => {
  #            "FS_000"=>[0.00, 0.00, 0.00],
  #        },
  #        "symmetry_operations" => [
  #            {
  #                "rotation" => [[    1,  0,  0], [  0,  1,  0], [    0,  0,  1]],
  #                "translation" => [  0.0000000,  0.0000000,  0.0000000]
  #            }, {
  #                "rotation" => [ [ -1,  0,  0], [    0, -1,  0], [  0,  0, -1]],
  #                "translation" => [  0.0000000,  0.0000000,  0.0000000]
  #            }
  #        ],
  #        "octahedral_sites" => {
  #            "Oc_000"=> [
  #                [["FS_000", [0, 0, 1]], ["FS_000", [1, 1, 0]]],
  #                [["FS_000", [0, 1, 0]], ["FS_000", [1, 0, 1]]],
  #                [["FS_000", [1, 0, 0]], ["FS_000", [0, 1, 1]]]
  #            ]
  #        },
  #        "tetrahedral_sites" => {
  #            "Te_000"=> [
  #                ["FS_000", [0, 0, 0]], ["FS_000", [0, 0, 1]],
  #                ["FS_000", [0, 1, 0]], ["FS_000", [1, 0, 0]]
  #            ],
  #            "Te_001"=> [
  #                ["FS_000", [1, 1, 1]], ["FS_000", [1, 1, 0]],
  #                ["FS_000", [1, 0, 1]], ["FS_000", [0, 1, 1]]
  #            ]
  #        }
  #    }
  #    File.open(TMP_MODEL_YAML, "w") do |io|
  #        YAML.dump(model, io)
  #    end
  #    result = YAML.load(`bin/siteoperations #{TMP_MODEL_YAML}`)
  #    correct = [
  #        {
  #            "FS_000" => "FS_000",
  #            "Te_000" => "Te_000",
  #            "Te_001" => "Te_001",
  #            "Oc_000" => "Oc_000",
  #        }, {
  #            "FS_000" => "FS_000",
  #            "Te_000" => "Te_000",
  #            "Te_000" => "Te_001",
  #            "Te_001" => "Te_000",
  #            "Oc_000" => "Oc_000",
  #        }
  #    ]
  #    assert_equal(correct, result)
  #end

  #def test_site2poscar
  #    # ここのテストは Poscar クラスを VASP 5 形式に対応する改造してから。
  #    lattice_yaml = "#{TMP_DIR}/lattice.yaml"
  #    lattice = [10.0, 11.0, 12.0, 90.0, 91.0, 92.0]
  #    File.open(lattice_yaml, "w") do |io|
  #        YAML.dump(lattice, io)
  #    end

  #    site_configuration_yaml = "#{TMP_DIR}/site_configuration.yaml"
  #    site_configuration = {
  #        0 => [ "FS_000", "FS_001"],
  #        1 => [ "Oc_000", "Te_000"],
  #    }
  #    File.open(site_configuration_yaml, "w") do |io|
  #        YAML.dump(site_configuration, io)
  #    end

  #    FileUtils.rm lattice_yaml if File.exist? lattice_yaml
  #    FileUtils.rm site_configuration_yaml if File.exist? site_configuration_yaml
  #end

  #def test_genuniqsites
  #    # setting up
  #    files = [ "00-0000.yaml", "01-0000.yaml", "01-0001.yaml" ]
  #    files.each { |file| FileUtils.rm file if FileTest.exist? file }
  #    command =
  #        "bin/genuniqsites " +
  #        "test/uniquesitesgenerator/elements-sitenames.yaml " +
  #        "test/uniquesitesgenerator/siteoperations.yaml " +
  #        "-l 1"
  #    system("#{command}")
  #    assert_equal( {0 => []}, YAML.load_file("00-0000.yaml"))
  #    #
  #    assert_equal( {0 => ["a"]}, YAML.load_file("01-0000.yaml"))
  #    assert_equal( {0 => ["c"]}, YAML.load_file("01-0001.yaml"))
  #    #
  #    files = [ "00-0000.yaml", "01-0000.yaml", "01-0001.yaml" ]
  #    files.each { |file| FileUtils.rm file if FileTest.exist? file }
  #end

end

