#! /usr/bin/env ruby
# coding: utf-8

require "helper"
#require "test/unit"
#require "pkg/klass.rb"

class TC_Edge < Test::Unit::TestCase
  def setup
    @e00 = Crysna::TransitionFinder::Edge.new([0, 1], -1.0, "A->B")
    @e01 = Crysna::TransitionFinder::Edge.new([0, 2], -1.0, "A->B")
    @e02 = Crysna::TransitionFinder::Edge.new([1, 0], -1.0, "A->B")
    @e03 = Crysna::TransitionFinder::Edge.new([2, 1], -1.0, "A->B")
    @e04 = Crysna::TransitionFinder::Edge.new([0, 1], -2.0, "A->B")
    @e05 = Crysna::TransitionFinder::Edge.new([0, 1], -1.0, "A->C")

    #@e00 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,0,0], 0, -1.0)
    #@e01 = Crysna::TransitionFinder::Edge.new([0, 2], 0, "B", [0,0,0], 0, -1.0)
    #@e02 = Crysna::TransitionFinder::Edge.new([0, 1], 1, "B", [0,0,0], 0, -1.0)
    #@e03 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "C", [0,0,0], 0, -1.0)
    #@e04 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [1,0,0], 0, -1.0)
    #@e05 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,1,0], 0, -1.0)
    #@e06 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,0,1], 0, -1.0)
    #@e07 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,0,-1], 0, -1.0)
    #@e08 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,0,0], 1, -1.0)
    #@e09 = Crysna::TransitionFinder::Edge.new([0, 1], 0, "B", [0,0,0], 0, -2.0)
  end

  def test_equal
    assert_equal(true , @e00 == @e00)
    assert_equal(false, @e00 == @e01)
    assert_equal(false, @e00 == @e02)
    assert_equal(false, @e00 == @e03)
    assert_equal(false, @e00 == @e04)
    assert_equal(false, @e00 == @e05)

    e00a = Crysna::TransitionFinder::Edge.new([0, 1], -1.0, "A->B")
    assert_equal(true , @e00 == e00a)
  end

  def test_note
    #assert_equal('cell:0->1(elem:mig:A->B, ope:0, wgt:-1.0)' , @e00.note)
    assert_equal("A->B" , @e00.note)
  end

  #def test_to_s_short
  #    TODO
  #end
end
